Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707674 - net-analyzer/ettercap-0.8.3 : fails to build with -fno-common or gcc-10
Summary: net-analyzer/ettercap-0.8.3 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Rick Farina (Zero_Chaos)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 21:08 UTC by Toralf Förster
Modified: 2020-02-01 00:47 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.34 KB, text/plain)
2020-01-31 21:08 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,209.48 KB, text/plain)
2020-01-31 21:08 UTC, Toralf Förster
Details
environment (environment,90.21 KB, text/plain)
2020-01-31 21:08 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.89 KB, application/x-bzip)
2020-01-31 21:08 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.99 KB, application/x-bzip)
2020-01-31 21:09 UTC, Toralf Förster
Details
net-analyzer:ettercap-0.8.3:20200131-210003.log (net-analyzer:ettercap-0.8.3:20200131-210003.log,169.31 KB, text/plain)
2020-01-31 21:09 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,28.98 KB, application/x-bzip)
2020-01-31 21:09 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 21:08:48 UTC
FAILED: src/interfaces/libettercap-ui.so.0.8.2 
: && /usr/bin/x86_64-pc-linux-gnu-gcc -fPIC -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -shared -Wl,-soname,libettercap-ui.so.0 -o src/interfaces/libettercap-ui.so.0.8.2 src/interfaces/CMakeFiles/ec_interfaces.dir/__/ec_interfaces.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_conn.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_display.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_plugin.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_profile.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_redirect.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/daemon/ec_daemon.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_compound.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_debug.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_dialog.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_dynlist.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_error.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_file.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_input.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_list.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_menu.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_panel.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_percentage.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_scroll.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/widgets/wdg_window.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_filters.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_help.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_hosts.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_live.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_logging.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_mitm.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_offline.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_plugins.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_start.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_targets.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_view.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_view_connections.c.o src/interfaces/CMakeFiles/ec_interfaces.dir/curses/ec_curses_view_profiles.c.o  -lncurses  -ltinfo  -lform  -lncurses  -lform  -lpanel  -lmenu  -lbsd  -lpcap  -lssl  -lcrypto  -lz  -lpthread  -ldl  -lnet  -lresolv  -lpcre  -ltinfo  -lpanel  -lmenu  -lbsd  -lpcap  -lssl  -lcrypto  -lz  -lpthread  -ldl  -lnet  -lresolv  -lpcre && :
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text.c.o:(.bss+0x80): multiple definition of `EC_PTHREAD_NULL'; src/interfaces/CMakeFiles/ec_interfaces.dir/__/ec_interfaces.c.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/interfaces/CMakeFiles/ec_interfaces.dir/text/ec_text_conn.c.o:(.bss+0x0): multiple definition of `EC_PTHREAD_NULL'; src/interfaces/CMakeFiles/ec_interfaces.dir/__/ec_interfaces.c.o:(.bss+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.242_p08 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 19:27:54 +0000

emerge -qpvO net-analyzer/ettercap
[ebuild  N    ] net-analyzer/ettercap-0.8.3  USE="ipv6 libressl ncurses plugins test -doc -geoip -gtk"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 21:08:51 UTC
Created attachment 610038 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 21:08:53 UTC
Created attachment 610040 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-31 21:08:56 UTC
Created attachment 610042 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-31 21:08:59 UTC
Created attachment 610044 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-31 21:09:02 UTC
Created attachment 610046 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 21:09:04 UTC
Created attachment 610048 [details]
net-analyzer:ettercap-0.8.3:20200131-210003.log
Comment 7 Toralf Förster gentoo-dev 2020-01-31 21:09:07 UTC
Created attachment 610050 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-31 22:24:12 UTC
https://github.com/Ettercap/ettercap/issues/795 is probably related (has a fix).
Comment 9 Larry the Git Cow gentoo-dev 2020-02-01 00:29:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62034fa04d7370f9c19c9fda7a257cf9acb2c955

commit 62034fa04d7370f9c19c9fda7a257cf9acb2c955
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-02-01 00:28:52 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-02-01 00:29:54 +0000

    net-analyzer/ettercap: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.86, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=707674
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/ettercap/ettercap-0.8.3.ebuild        |  5 ++++-
 net-analyzer/ettercap/ettercap-9999.ebuild         |  5 ++++-
 .../ettercap/files/ettercap-0.8.3-fno-common.patch | 22 ++++++++++++++++++++++
 3 files changed, 30 insertions(+), 2 deletions(-)